## synopsis 0.5.0

=== Makefile ===
# $Id: Makefile,v 1.29 2003/02/01 05:31:09 chalky Exp $
#
# This source file is a part of the Synopsis Project
# Copyright (C) 2000 Stefan Seefeld
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
# MA 02139, USA.

SHELL	:= /bin/sh

ifeq (,$(findstring $(MAKECMDGOALS), clean distclean))
ifeq (,$(findstring $(action), clean distclean))
include local.mk
endif
endif

SHARE   := $(patsubst %, share/%, synopsis.jpg synopsis200.jpg syn-down.png syn-right.png syn-dot.png)

subdirs	:= Synopsis

action	:= all

.PHONY: all $(subdirs) docs

all:	$(subdirs)
ifeq '$(action)' 'all'
	python -c "import compileall; compileall.compile_dir('Synopsis')"
endif

$(subdirs):
	@echo making $(action) in $@
	$(MAKE) -C $@ $(action)

docs:
	@echo making $(action) in docs/RefManual
	$(MAKE) -C docs/RefManual

clean:
	$(MAKE) action="clean"

distclean:
	$(MAKE) action="distclean"
	$(MAKE) -C demo action="clean"
	$(MAKE) -C docs/RefManual distclean
	/bin/rm -f *~ local.mk synopsis.spec config.cache config.log config.status configure

install:
	$(MAKE) action="install"
	mkdir -p $(bindir)
	install -m 755 bin/synopsis $(bindir)
	mkdir -p $(datadir)/synopsis
	install -m 644 share/*.png share/*.jpg share/*.css $(datadir)/synopsis
#	$(MAKE) -C docs/RefManual install

=== Synopsis/Makefile ===
# $Id: Makefile,v 1.9 2003/02/01 05:43:03 chalky Exp $
#
# This source file is a part of the Synopsis Project
# Copyright (C) 2000 Stefan Seefeld
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
# MA 02139, USA.

SHELL	:= /bin/sh

ifeq (,$(findstring $(MAKECMDGOALS), clean distclean))
ifeq (,$(findstring $(action), clean distclean))
include ../local.mk
endif
endif

SRC	:= __init__ Config
PY	:= $(patsubst %, %.py, $(SRC)) $(patsubst %, %.pyc, $(SRC))

subdirs	:= Core Parser Linker Formatter

action	:= all

.PHONY: all $(subdirs) clean distclean install

all:	$(subdirs)

$(subdirs):
	@echo making $(action) in $@
	$(MAKE) -C $@ $(action)

clean:
	$(MAKE) action="clean"
	/bin/rm -f *~ *.pyc *.pyo UI/*.pyc UI/Qt/*.pyc UI/*.pyo UI/Qt/*.pyo Config.py

distclean:
	$(MAKE) action="distclean"
	/bin/rm -f *.pyc *.pyo UI/*.pyc UI/Qt/*.pyc UI/*.pyo UI/Qt/*.pyo

install:
	mkdir -p $(packagedir)/Synopsis
	install -m 644 $(PY) $(packagedir)/Synopsis
	$(MAKE) action="install"

=== demo/Makefile ===
# $Id: Makefile,v 1.4 2003/03/16 03:22:39 chalky Exp $
#
# This source file is a part of the Synopsis Project
# Copyright (C) 2000 Stefan Seefeld
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
# MA 02139, USA.

SHELL	:= /bin/sh

ifeq (,$(findstring $(MAKECMDGOALS), clean distclean))
ifeq (,$(findstring $(action), clean distclean))
include ../local.mk
endif
endif

subdirs	:= IDL C++ Python Mixed Graph Config Perceps

action	:= all

.PHONY: all $(subdirs)

all:	$(subdirs)

$(subdirs):
	@echo making $(action) in $@
	$(MAKE) -k -C $@ $(action)

clean:
	$(MAKE) action="clean"

=== Synopsis/Core/Makefile ===
# $Id: Makefile,v 1.14 2003/02/01 05:43:03 chalky Exp $
#
# This source file is a part of the Synopsis Project
# Copyright (C) 2000 Stefan Seefeld
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
# MA 02139, USA.

SHELL	:= /bin/sh

ifeq (,$(findstring $(MAKECMDGOALS), clean distclean))
ifeq (,$(findstring $(action), clean distclean))
include ../../local.mk
endif
endif

SRC	:= __init__.py __init__.pyc Type.py Type.pyc AST.py AST.pyc Util.py Util.pyc \
           Action.pyc Executor.pyc Project.pyc FileTree.py FileTree.pyc

all:
clean:
	/bin/rm -f *~ *.pyc *.pyo

distclean:      clean
	/bin/rm -f *.pyc *.pyo

install:
	mkdir -p $(packagedir)/Synopsis/Core
	install -m 644 $(SRC) $(packagedir)/Synopsis/Core

=== Synopsis/Formatter/Makefile ===
# $Id: Makefile,v 1.18 2003/03/24 09:28:29 chalky Exp $
#
# This source file is a part of the Synopsis Project
# Copyright (C) 2000 Stefan Seefeld
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
# MA 02139, USA.

SHELL	= /bin/sh

ifeq (,$(findstring $(MAKECMDGOALS), clean distclean))
ifeq (,$(findstring $(action), clean distclean))
include ../../local.mk
endif
endif

SRC	:= __init__ TOC DUMP ASCII HTML_Simple Dot DocBook Dia ClassTree xref \
	   TexInfo BoostBook
PY	:= $(patsubst %, %.py, $(SRC)) $(patsubst %, %.pyc, $(SRC))

subdirs	:= HTML

action	:= all

.PHONY: all $(subdirs) clean distclean install

all:	$(subdirs)

$(subdirs):
	@echo making $(action) in $@
	$(MAKE) -C $@ $(action)

clean:
	$(MAKE) action="clean"
	/bin/rm -f *~ *.pyo *.pyc

distclean:
	$(MAKE) action="distclean"
	/bin/rm -f  *~ *.pyc

install:
	mkdir -p $(packagedir)/Synopsis/Formatter
	install -m 644 $(PY) $(packagedir)/Synopsis/Formatter
	$(MAKE) action="install"

=== Synopsis/Linker/Makefile ===
# $Id: Makefile,v 1.12 2003/02/01 05:43:04 chalky Exp $
#
# This source file is a part of the Synopsis Project
# Copyright (C) 2000 Stefan Seefeld
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
# MA 02139, USA.

SHELL	= /bin/sh

ifeq (,$(findstring $(MAKECMDGOALS), clean distclean))
ifeq (,$(findstring $(action), clean distclean))
include ../../local.mk
endif
endif

SRC	:= __init__ Linker Comments AccessRestrictor \
	   EmptyNS LanguageMapper NameMapper Stripper \
	   Unduplicator XRefCompiler

PY	:= $(patsubst %, %.py, $(SRC)) $(patsubst %, %.pyc, $(SRC))

action	:= all

.PHONY: all $(subdirs) clean distclean install

all:

clean:
	/bin/rm -f *~ *.pyc *.pyo

distclean: clean
	/bin/rm -f  *.pyc *.pyo

install:
	mkdir -p $(packagedir)/Synopsis/Linker
	install -m 644 $(PY) $(packagedir)/Synopsis/Linker

=== Synopsis/Parser/Makefile ===
# $Id: Makefile,v 1.15 2003/02/01 05:43:04 chalky Exp $
#
# This source file is a part of the Synopsis Project
# Copyright (C) 2000 Stefan Seefeld
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 675 Mass Ave, Cambridge,
# MA 02139, USA.

SHELL	:= /bin/sh

ifeq (,$(findstring $(MAKECMDGOALS), clean distclean))
ifeq (,$(findstring $(action), clean distclean))
include ../../local.mk
endif
endif

SRC	:= __init__
PY	:= $(patsubst %, %.py, $(SRC)) $(patsubst %, %.pyc, $(SRC))

subdirs	:= IDL C++ Python

action	:= all

.PHONY: all $(subdirs) clean distclean install

all:	$(subdirs)

$(subdirs):
	@echo making $(action) in $@
	$(MAKE) -C $@ $(action)

clean:
	$(MAKE) action="clean"
	/bin/rm -f *~ *.pyc *.pyo

distclean:
	$(MAKE) action="distclean"
	/bin/rm -f *.pyc *.pyo

install:
	mkdir -p $(packagedir)/Synopsis/Parser
	install -m 644 $(PY) $(packagedir)/Synopsis/Parser
	$(MAKE) action="install"

=== demo/Boost/Makefile ===
synopsis	:= ../../bin/synopsis -P boost.synopsis

all:
		@echo "The boost demo is not run by default. If you have the boost sources,"
		@echo "you must create a symlink to the boost root directory as 'boost' here"
		@echo "eg: ln -s ~/boost"
		@echo "Then you can run 'make boostdemo' for the frames version"
		@echo "  or you can run 'make boostdemo2' for the no-frames version"

boostdemo:	
		$(synopsis)

boostdemo2:	
		$(synopsis) "-Wc,formatter=HTML Formatter - No Frames"


clean:
		rm -rf *~ *.html *.ps *.syn core *.aux *.fn *.cp *.tp *.vr *.log *.ky *.pg \
		       *.fns *.tps *.vrs *.pdf BoostPython BoostFiles BoostLinks BoostXRef

distclean:	clean

=== demo/C++/Makefile ===
synopsis	:= ../../bin/synopsis -c config.py
synopsis_one	:= $(synopsis) -Wc,parser=C++,formatter=HTML,linker=Linker

all: html pdf employee templates shapes

ascii:	GapBuffer.hh
	../../bin/synopsis -p C++ -Wp,-C -f ASCII $?

dump:	GapBuffer.hh
		../../bin/synopsis -p C++ -Wp,-C -f DUMP $?

test:	test.cc
		$(synopsis_one) -o html $?

templates: templates.cc
	$(synopsis_one) -o templates $?

GapBuffer.syn GapBuffer.hh-xref:	GapBuffer.hh
		$(synopsis) -Wc,parser=C++,linker=Linker -Wp,-x,GapBuffer.hh-xref,-s,GapBuffer.hh-links -o GapBuffer.syn $?

GapBuffer.xref:	GapBuffer.hh-xref
		../../bin/compile-xref -o $@ $?

html:	GapBuffer.xref GapBuffer.syn
		$(synopsis) -Wc,formatter=XrefHTML -o html GapBuffer.syn

sxr:	GapBuffer.xref GapBuffer.syn
		$(synopsis) -Wc,formatter=SxrHTML -o sxr GapBuffer.syn

test-xref: GapBuffer.xref
		../../bin/search-xref GapBuffer.xref name curs

htmls:	GapBuffer.hh
		../../bin/synopsis -p C++ -Wp,-m -f HTML_Simple -Wf,-s,style.css -o gap_htmls.html $?

GapBuffer.texi:	GapBuffer.hh
		../../bin/synopsis -c config.py -Wc,parser=C++,formatter=TexInfo,linker=Linker -o $@ $?

texi:	GapBuffer.texi

pdf:	texi
		texi2pdf GapBuffer-Manual.texi

employee:	employee.cc
		$(synopsis) -Wc,parser=C++,linker=Linker-employee,formatter=HTML -o employee $?

module:	module.cc
		$(synopsis) -Wc,parser=C++,linker=Linker-module,formatter=HTML -o module $?

uml:	shapes.ps

shapes.ps:	shapes.cc
		../../bin/synopsis -p C++ -Wp,-m -f Dot -Wf,-f,ps -Wf,-i -Wf,-O -Wf,-A -o $@ $?

shapes:		shapes.cc
		echo $(synopsis) -o shapes $?
		$(synopsis_one) -o shapes $?


clean:
		rm -rf *~ *.html *.ps *.syn core *.aux *.fn *.cp *.tp *.vr *.log *.ky *.pg \
		       *.fns *.tps *.vrs *.pdf html GapBuffer.texi employee module *.pyc *.pyo \
		       GapBuffer.hh-xref GapBuffer.hh-links GapBuffer.syn GapBuffer.xref sxr \
		       GapBuffer shapes ExtraFiles ExtraLinks ExtraXRef ExtraHTML

distclean:	clean

=== demo/Config/Makefile ===
synopsis	:= ../../bin/synopsis -c config.py

all:	 	html employee.xml

employee.syn:	employee.cc
		$(synopsis) -Wc,parser=C++,linker=Linker -Wp,-m -o $@ $<
employee.xml:	employee.syn
		$(synopsis) -Wc,formatter=DocBook -o $@ $<
html:		employee.syn
		$(synopsis) -Wc,formatter=Synopsis -o Synopsis $<
		$(synopsis) -Wc,formatter=Doxygen -o Doxygen $<

clean:
		rm -rf *~ *.html *.syn employee Employee *.pyc *.pyo

distclean:	clean

=== demo/Dia/Makefile ===
synopsis = ../../bin/synopsis -p IDL -Wp,-K -f Dia

all:

CosNaming:	CosNaming.idl
		$(synopsis) -o cosnaming.dia $?

Types:		Types.idl
		$(synopsis) -o types.dia $?

Graphic:	Graphic.idl
		$(synopsis) -o graphic.dia $?

Input:		Input.idl
		$(synopsis) -o input.dia $?

test:		test.idl
		$(synopsis) -o test.dia $?

clean:
		rm -f *~ *.html *.syn *.pyc *.pyo

distclean:	clean

=== demo/Graph/Makefile ===
synopsis	:= ../../bin/synopsis -p C++ -f Dot

all: class# collaboration

class:	class.ps class.png class.map class.html
collaboration: col.ps

class.dot: demo.hh
	$(synopsis) -Wf,-i -Wf,-t,"inheritance graph",-f,dot -o $@ $<
class.ps: demo.hh
	$(synopsis) -Wf,-i -Wf,-t,"inheritance graph",-f,ps -o $@ $<
class.png: demo.hh
	$(synopsis) -Wf,-i -Wf,-t,"inheritance graph",-f,png -o $@ $<
class.map: demo.hh
	$(synopsis) -Wf,-i -Wf,-t,"inheritance graph",-f,map -o $@ $<
demo: demo.hh
	../../bin/synopsis -Wc,parser=C++,formatter=HTML -Wf,-t,demo.toc,-S,../html.css -o $@ $<
	touch demo
class.html: demo.hh demo
	$(synopsis) -Wf,-i -Wf,-t,"inheritance graph",-f,html,-r,"demo.toc|demo" -o $@ $<
col.ps: demo.hh
	$(synopsis) -Wf,-c -Wf,-t,"collaboration graph" -o $@ $<

clean:
		rm -fr *~ *.ps *.png *.map *.html *.dot *.toc *.syn demo *.pyc *.pyo

distclean:	clean

## synopsis 0.8.0

=== share/doc/Synopsis/examples/Makefile ===
#
# Copyright (C) 2004 Stefan Seefeld
# All rights reserved.
# Licensed to the public under the terms of the GNU LGPL (>= 2),
# see the file COPYING for details.
#

SHELL	:= /bin/sh

subdirs	:= Paths/doc1 Paths/doc2 Paths/doc3 Paths/doc4

action	:= all

.PHONY: all $(subdirs)

all:	$(subdirs)

$(subdirs):
	@echo making $(action) in $@
	$(MAKE) -k -C $@ $(action)

clean:
	$(MAKE) action="clean"

distclean:
	$(MAKE) action="distclean"

=== share/doc/Synopsis/examples/Paths/doc0/Makefile ===
synopsis:= synopsis

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths Paths.ps

Paths: Paths.syn
	$(synopsis) -f HTML --javadoc -o $@ $<

Paths.syn: $(syn)
	$(synopsis) -l Grouper1 -o $@ $^

Path.syn: ../src/Path.h
	$(synopsis) -p Cxx -l SSDFilter,Previous -o $@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) -p Cxx -l SSFilter -o $@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) -p Cxx -l SSDFilter -o $@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) -p Cxx -l JavaFilter,JavaTags -o $@ $<

Paths.ps: Paths.syn
	$(synopsis) -f Dot -Wf,--title="class diagram" -Wf,--format=ps \
          -Wf,hide_operations=False,hide_attributes=False \
          -o $@ $<

clean:
	rm -rf *.syn

distclean: clean
	rm -rf Paths Paths.ps

=== share/doc/Synopsis/examples/Paths/doc1/Makefile ===
synopsis:= python synopsis.py

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths Paths.ps

Paths: Paths.syn
	$(synopsis) html --output=$@ $<

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_ssd --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_javadoc --output=$@ $<

Paths.ps: Paths.syn
	$(synopsis) dot --title="class diagram" --format=ps \
          hide_operations=False hide_attributes=False \
          --output=$@ $<

clean:
	rm -rf *.syn

distclean: clean
	rm -rf Paths Paths.ps

=== share/doc/Synopsis/examples/Paths/doc2/Makefile ===
synopsis:= python synopsis.py

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths

Paths: Paths.syn
	$(synopsis) sxr --url=http://localhost:8000/sxr --output=$@ $<
	@echo "now run sxr-server -u sxr -d `pwd`/Paths"

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_ssd --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_javadoc --output=$@ $<

clean:
	rm -rf *.syn links xref

distclean: clean
	rm -rf Paths

=== share/doc/Synopsis/examples/Paths/doc3/Makefile ===
synopsis:= python synopsis.py

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths

Paths: Paths.syn Paths.xref
	$(synopsis) html --output=$@ $<

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Paths.xref: Paths.syn 
	@echo generating $@
	$(synopsis) xref --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_ssd --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_javadoc --output=$@ $<

clean:
	rm -rf *.syn Paths.xref links xref

distclean: clean
	rm -rf Paths

=== share/doc/Synopsis/examples/Paths/doc4/Makefile ===
synopsis:= python synopsis.py

src	:= ../src/Shapes.h
syn	:= Shapes.syn

all: Files.png Classes1.png Classes2.png Classes3.png

Files.png:
	$(synopsis) files --output=$@ $(src)

Classes1.png:
	$(synopsis) classes --output=$@ $(src)

Classes2.png: $(syn)
	$(synopsis) dot hide_attributes=False hide_operations=False --output=$@ $<

Classes3.png: $(syn)
	$(synopsis) dot hide_attributes=False hide_operations=False show_aggregation=True --output=$@ $<

Shapes.syn: $(src)
	$(synopsis) cxx --output=$@ $<

clean:
	rm -f $(syn)

distclean: clean
	rm -f *.png

## synopsis 0.9

=== share/doc/Synopsis/examples/Makefile ===
--- 
+++ 
@@ -7,7 +7,11 @@
 
 SHELL	:= /bin/sh
 
-subdirs	:= Paths/doc1 Paths/doc2 Paths/doc3 Paths/doc4
+prefix	:=
+
+subdirs	:= $(filter-out Paths/src, $(wildcard Paths/*))
+subdirs += COS
+subdirs += hybrid
 
 action	:= all
 
@@ -17,7 +21,14 @@
 
 $(subdirs):
 	@echo making $(action) in $@
-	$(MAKE) -k -C $@ $(action)
+	$(MAKE) -k -C $@ $(action) prefix=$(prefix)/$@
+
+install-html:
+ifdef prefix
+	mkdir -p $(prefix)
+	cp index.html $(prefix)
+endif
+	$(MAKE) action="install-html" prefix=$(prefix)
 
 clean:
 	$(MAKE) action="clean"
@@ -25,3 +36,20 @@
 distclean:
 	$(MAKE) action="distclean"
 
+install-src:
+ifdef prefix
+	mkdir -p $(prefix)
+	for file in $(shell find . -path '*/.svn' -prune -o \
+          -name '*.syn' -prune -o \
+          -name '*.xref' -prune -o \
+          -name 'xref_db' -prune -o \
+          -name '*.html' -prune -o \
+          -name '*.toc' -prune -o \
+          -name '*.css' -prune -o \
+          -name '*.png' -prune -o \
+          -name '*.ps' -prune -o \
+          -type f -a -print); do \
+          mkdir -p $(prefix)/`dirname $$file`; \
+          cp -p $$file $(prefix)/$$file; \
+        done
+endif

=== share/doc/Synopsis/examples/COS/Makefile ===
prefix:=
synopsis := python synopsis.py

src:= CosNaming.idl CosTrading.idl CosTradingDynamic.idl CosTradingRepos.idl
syn:= $(patsubst %.idl, %.syn, $(src))

all: html

html: cos.syn
	$(synopsis) format --output=$@ $?
	touch $@

cos.syn: $(syn)
	$(synopsis) link --output=$@ $?

%.syn: %.idl
	$(synopsis) parse --output=$@ $?

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r html/* $(prefix)
endif

clean:
	rm -fr *.syn *~

distclean:	clean
	rm -rf html

=== share/doc/Synopsis/examples/hybrid/Makefile ===
prefix:=
synopsis := python synopsis.py

all:	interface implementation

interface interface.toc: Storage.syn
	$(synopsis) format_idl --output=interface $<
	touch $@

implementation: StorableImpl.syn FactoryImpl.syn interface.toc
	$(synopsis) format_cxx --output=$@ StorableImpl.syn FactoryImpl.syn
	touch $@

Storage.syn: Storage.idl
	$(synopsis) idl --output=$@ $<

StorableImpl.syn:	StorableImpl.hh Storage.hh
	$(synopsis) cxx --output=$@ $<

FactoryImpl.syn:	FactoryImpl.hh Storage.hh
	$(synopsis) cxx --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r interface implementation $(prefix)
endif

clean:
	rm -rf *.syn interface.toc

distclean: clean
	rm -rf interface implementation

=== share/doc/Synopsis/examples/Paths/cli/Makefile ===
prefix:=
synopsis:= synopsis

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: # by default do nothing

Path: ../src/Path.h
	$(synopsis) -p Cxx -f HTML  -o $@ $<

Polyline: ../src/Polyline.h
	$(synopsis) -p Cxx -f HTML  -o $@ $<

Paths: Paths.syn
	$(synopsis) -f HTML --cfilter=java --translate=javadoc -o $@ $<

Paths.syn: $(syn)
	$(synopsis) -l Comments.Grouper -o $@ $^

Path.syn: ../src/Path.h
	$(synopsis) -p Cxx --cfilter=ssd -l Comments.Previous -o $@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) -p Cxx --cfilter=ss -o $@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) -p Cxx --cfilter=ssd -o $@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) -p Cxx --cfilter=java --translate=javadoc -o $@ $<

Paths.ps: Paths.syn
	$(synopsis) -f Dot -Wf,--title="class diagram" -Wf,--format=ps \
          -Wf,hide_operations=False,hide_attributes=False \
          -o $@ $<

install-html: # nothing to install

clean:
	rm -rf *.syn

distclean: clean
	rm -rf Paths Paths.ps

=== share/doc/Synopsis/examples/Paths/diagrams/Makefile ===
prefix:= 
synopsis:= python synopsis.py

src	:= ../src/Shapes.h
syn	:= Shapes.syn

all: Files.png Classes1.png Classes2.png Classes3.png

Files.png:
	$(synopsis) files --output=$@ $(src)

Classes1.png:
	$(synopsis) classes --output=$@ $(src)

Classes2.png: $(syn)
	$(synopsis) dot hide_attributes=False hide_operations=False --output=$@ $<

Classes3.png: $(syn)
	$(synopsis) dot hide_attributes=False hide_operations=False show_aggregation=True --output=$@ $<

Shapes.syn: $(src)
	$(synopsis) cxx --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp index.html *.png $(prefix)
endif

clean:
	rm -f $(syn)

distclean: clean
	rm -f *.png

=== share/doc/Synopsis/examples/Paths/html-rich/Makefile ===
prefix=:=
synopsis:= python synopsis.py

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths

Paths: Paths.syn Paths.xref
	$(synopsis) html --output=$@ $<

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Paths.xref: Paths.syn 
	@echo generating $@
	$(synopsis) xref --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_javadoc --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_rst --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r Paths/* $(prefix)
endif

clean:
	rm -rf *.syn Paths.xref links xref

distclean: clean
	rm -rf Paths

=== share/doc/Synopsis/examples/Paths/html/Makefile ===
prefix:= 
synopsis:= python synopsis.py

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths Paths.ps

Paths: Paths.syn
	$(synopsis) html --output=$@ $<

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_javadoc --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_rst --output=$@ $<

Paths.ps: Paths.syn
	$(synopsis) dot --title="class diagram" --format=ps \
          hide_operations=False hide_attributes=False \
          --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r Paths/* $(prefix)
endif

clean:
	rm -rf *.syn

distclean: clean
	rm -rf Paths Paths.ps

=== share/doc/Synopsis/examples/Paths/sxr/Makefile ===
prefix:=
synopsis:= python synopsis.py

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths

Paths: Paths.syn
	$(synopsis) sxr --url=http://localhost:8000/sxr --output=$@ $<
	@echo "now run sxr-server -u /sxr -r `pwd`/Paths"

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_javadoc --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_rst --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r Paths/* $(prefix)
endif

clean:
	rm -rf *.syn links xref

distclean: clean
	rm -rf Paths

## synopsis 0.12

=== sandbox/boost/Makefile ===
synopsis:= python synopsis.py

all:
	@echo "The boost demo is not run by default. If you have the boost sources,"
	@echo "you must create a symlink to the boost root directory as 'boost' here"
	@echo "eg: ln -s ~/boost boost"
	@echo "Then you can run 'make bpl'"

bpl: bpl.syn 
	$(synopsis) html --debug --output=$@ $<

sxr: bpl.syn
	$(synopsis) sxr --url=http://localhost:8000/sxr.cgi --output=$@ $<
	@echo "now start 'sxr-server -d sxr -u /sxr.cgi -s /files' to activate the sxr engine"

bpl.syn: boost/boost/python.hpp
	$(synopsis) parse --output=$@ $?

clean:
	rm -rf *~ bpl.syn 

distclean:	clean
	rm -rf bpl sxr

=== sandbox/call_graph/Makefile ===
#
# Copyright (C) 2005 Stefan Seefeld
# All rights reserved.
# Licensed to the public under the terms of the GNU LGPL (>= 2),
# see the file COPYING for details.
#

SHELL	:= /bin/sh

CPPFLAGS:= `pkg-config --cflags Synopsis`
LIBS	:= `pkg-config --libs Synopsis`

TARGET	:= call-graph

call-graph: call-graph.o
	$(CXX) $(LDFLAGS) -o $@ $< $(LIBS)

%.o: %.cc
	@echo compiling $(@D)/$(@F)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<

clean :
	rm -f call-graph

=== share/doc/synopsis/examples/Makefile ===
#
# Copyright (C) 2004 Stefan Seefeld
# All rights reserved.
# Licensed to the public under the terms of the GNU LGPL (>= 2),
# see the file COPYING for details.
#

SHELL	:= /bin/sh

prefix	:=

subdirs	:= $(filter-out Paths/src, $(wildcard Paths/*))
subdirs += COS
subdirs += hybrid
subdirs += math

action	:= all

.PHONY: all $(subdirs)

all:	$(subdirs)

$(subdirs):
	@echo making $(action) in $@
	$(MAKE) -k -C $@ $(action) prefix=$(prefix)/$@

install-html:
ifdef prefix
	mkdir -p $(prefix)
	cp index.html $(prefix)
endif
	$(MAKE) action="install-html" prefix=$(prefix)

install-print:
ifdef prefix
	mkdir -p $(prefix)
endif
	$(MAKE) action="install-print" prefix=$(prefix)

clean:
	$(MAKE) action="clean"

distclean:
	$(MAKE) action="distclean"

install-src:
ifdef prefix
	mkdir -p $(prefix)
	for file in $(shell find . -path '*/.svn' -prune -o \
          -name '*.syn' -prune -o \
          -name '*.xref' -prune -o \
          -name 'xref_db' -prune -o \
          -name '*.html' -prune -o \
          -name '*.toc' -prune -o \
          -name '*.css' -prune -o \
          -name '*.png' -prune -o \
          -name '*.ps' -prune -o \
          -type f -a -print); do \
          mkdir -p $(prefix)/`dirname $$file`; \
          cp -p $$file $(prefix)/$$file; \
        done
endif

=== share/doc/synopsis/examples/COS/Makefile ===
prefix:=
synopsis := python synopsis.py

src:= CosNaming.idl CosTrading.idl CosTradingDynamic.idl CosTradingRepos.idl
syn:= $(patsubst %.idl, %.syn, $(src))

all: html

html: cos.syn
	$(synopsis) format --output=$@ $?
	touch $@

cos.syn: $(syn)
	$(synopsis) link --output=$@ $?

%.syn: %.idl
	$(synopsis) parse --output=$@ $?

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r html/* $(prefix)
endif

install-print:

clean:
	rm -fr *.syn *~

distclean:	clean
	rm -rf html

=== share/doc/synopsis/examples/hybrid/Makefile ===
prefix:=
synopsis := python synopsis.py

all:	interface implementation

interface interface.toc: Storage.syn
	$(synopsis) format_idl --output=interface $<
	touch $@

implementation: StorableImpl.syn FactoryImpl.syn interface.toc
	$(synopsis) format_cxx --output=$@ StorableImpl.syn FactoryImpl.syn
	touch $@

Storage.syn: Storage.idl
	$(synopsis) idl --output=$@ $<

StorableImpl.syn:	StorableImpl.hh Storage.hh
	$(synopsis) cxx --output=$@ $<

FactoryImpl.syn:	FactoryImpl.hh Storage.hh
	$(synopsis) cxx --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r interface implementation $(prefix)
endif

install-print:

clean:
	rm -rf *.syn interface.toc

distclean: clean
	rm -rf interface implementation

=== share/doc/synopsis/examples/math/Makefile ===
prefix:= 
synopsis:= python synopsis.py
xsltproc:= xsltproc --novalid --path $(shell pwd) --xinclude
fop	:= fop#xmlroff --backend=cairo
src	:= math.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: math

math: math.xml Reference.xml
	mkdir -p $@
	cp synopsis.css $@
	$(xsltproc) -o $@/ html.xsl Reference.xml

%.pdf: %.fo
	$(fop) -o $@ $<

math.fo: math.xml Reference.xml
	$(xsltproc) -o $@ fo.xsl Reference.xml

%.xml: %.syn
	$(synopsis) docbook --title='math reference' --output=$@ $<

%.syn: %.h
	$(synopsis) parse --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r math/* $(prefix)
	if test -f math.pdf; then cp math.pdf $(prefix); fi
endif

install-print: math.pdf
ifdef prefix
	mkdir -p $(prefix)
	cp $< $(prefix)
endif

clean:
	rm -rf *.syn

distclean: clean
	rm -rf math math.xml

=== tests/Cxx-API/Synopsis/AST/src/Makefile ===
# $Id: Makefile,v 1.2 2004/01/13 07:43:08 stefan Exp $
#
# Copyright (C) 2003 Stefan Seefeld
# All rights reserved.
# Licensed to the public under the terms of the GNU LGPL (>= 2),
# see the file COPYING for details.
#

SHELL	:= /bin/sh

python	:= python
PYPREFIX:=$(shell $(python) -c "import sys; print sys.prefix")
PYVERSION:=$(shell $(python) -c "from distutils import sysconfig; print sysconfig.get_config_var('VERSION')")
PYINC	:=$(shell $(python) -c "from distutils import sysconfig; print sysconfig.get_python_inc()")
PYLIBS	:=-L $(PYPREFIX)/lib/python$(PYVERSION)/config -lpython$(PYVERSION) -ldl -lutil -lpthread

CPPFLAGS:= -I ../../../../../include -I $(PYINC)
LDFLAGS	:= -rdynamic
LIBS	:= $(PYLIBS)

TESTS	:= SourceFile

all:	$(TESTS)

%.o: %.cc
	$(CXX) $(CPPFLAGS) -ggdb $(CXXFLAGS) -c -o $@ $<

$(TESTS): %: %.o
	$(CXX) -ggdb $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf *.o $(TESTS)

=== share/doc/synopsis/examples/Paths/cli/Makefile ===
prefix:=
synopsis:= synopsis

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: # by default do nothing

Path: ../src/Path.h
	$(synopsis) -p Cxx -f HTML  -o $@ $<

Polyline: ../src/Polyline.h
	$(synopsis) -p Cxx -f HTML  -o $@ $<

Paths: Paths.syn
	$(synopsis) -f HTML --cfilter=java --translate=javadoc -o $@ $<

Paths.syn: $(syn)
	$(synopsis) -l Comments.Grouper -o $@ $^

Path.syn: ../src/Path.h
	$(synopsis) -p Cxx --cfilter=ssd -l Comments.Previous -o $@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) -p Cxx --cfilter=ss -o $@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) -p Cxx --cfilter=ssd -o $@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) -p Cxx --cfilter=java --translate=javadoc -o $@ $<

Paths.ps: Paths.syn
	$(synopsis) -f Dot -Wf,--title="class diagram" -Wf,--format=ps \
          -Wf,hide_operations=False,hide_attributes=False \
          -o $@ $<

install-html: # nothing to install
install-print:

clean:
	rm -rf *.syn

distclean: clean
	rm -rf Paths Paths.ps

=== share/doc/synopsis/examples/Paths/diagrams/Makefile ===
prefix:= 
synopsis:= python synopsis.py

src	:= ../src/Shapes.h
syn	:= Shapes.syn

all: Files.png Classes1.png Classes2.png Classes3.png

Files.png: $(syn)
	$(synopsis) files --output=$@ $(src)

Classes1.png:
	$(synopsis) classes --output=$@ $(src)

Classes2.png: $(syn)
	$(synopsis) dot hide_attributes=False hide_operations=False --output=$@ $<

Classes3.png: $(syn)
	$(synopsis) dot hide_attributes=False hide_operations=False show_aggregation=True --output=$@ $<

Shapes.syn: $(src)
	$(synopsis) cxx --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp index.html *.png $(prefix)
endif

install-print: all
ifdef prefix
	mkdir -p $(prefix)
	cp *.png $(prefix)
endif

clean:
	rm -f $(syn)

distclean: clean
	rm -f *.png

=== share/doc/synopsis/examples/Paths/docbook/Makefile ===
prefix:= 
synopsis:= python synopsis.py
xsltproc:= xsltproc --novalid --path $(shell pwd) --xinclude
fop	:= fop#xmlroff --backend=cairo
src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths

Paths: Paths.xml Reference.xml
	mkdir -p $@
	mkdir -p $@/images
	cp synopsis.css $@
	$(xsltproc) -o $@/ html.xsl Reference.xml
	cp images/*.png $@/images

Paths.pdf: Paths.fo
	echo $(fop) -o $@ $<

Paths.fo: Paths.xml Reference.xml
	$(xsltproc) -o $@ fo.xsl Reference.xml

Paths.xml: Paths.syn
	$(synopsis) docbook --title='The Title' --output=$@ $<

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_javadoc --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_rst --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r Paths/* $(prefix)
	cp Paths.xml $(prefix)
	if test -f Paths.pdf; then cp Paths.pdf $(prefix); fi
endif

install-print: Paths.pdf
ifdef prefix
	mkdir -p $(prefix)
	cp $< $(prefix)
endif

clean:
	rm -rf *.syn

distclean: clean
	rm -rf Paths Paths.xml

=== share/doc/synopsis/examples/Paths/html-noframes/Makefile ===
prefix=:=
synopsis:= python synopsis.py

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths

Paths: Paths.syn
	$(synopsis) html --output=$@ $<

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_javadoc --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_rst --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r Paths/* $(prefix)
endif

install-print:

clean:
	rm -rf *.syn sxr

distclean: clean
	rm -rf Paths

=== share/doc/synopsis/examples/Paths/html/Makefile ===
prefix:= 
synopsis:= python synopsis.py

src	:= Path.h Polyline.h Bezier.h Nurbs.h
syn	:= $(patsubst %.h, %.syn, $(src))

all: Paths Paths.ps

Paths: Paths.syn
	$(synopsis) html --output=$@ $<

Paths.syn: $(syn)
	$(synopsis) link --output=$@ $^

Path.syn: ../src/Path.h
	$(synopsis) cxx_ssd_prev --output=$@ $<

Polyline.syn: ../src/Polyline.h
	$(synopsis) cxx_ss --output=$@ $<

Bezier.syn: ../src/Bezier.h
	$(synopsis) cxx_javadoc --output=$@ $<

Nurbs.syn: ../src/Nurbs.h
	$(synopsis) cxx_rst --output=$@ $<

Paths.ps: Paths.syn
	$(synopsis) dot --title="class diagram" --format=ps \
          hide_operations=False hide_attributes=False \
          --output=$@ $<

install-html: all
ifdef prefix
	mkdir -p $(prefix)
	cp -r Paths/* $(prefix)
endif

install-print:

clean:
	rm -rf *.syn

distclean: clean
	rm -rf Paths Paths.ps

=== debian/changelog ===
synopsis (0.12-10) unstable; urgency=medium

  * Team upload.

  [ Julien Cristau ]
  * Rename library packages for g++5 ABI transition. (Closes: #791296)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Aug 2015 22:19:49 +0200

synopsis (0.12-9) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Convert from dh_pysupport to dh_python2 (closes: #786064)
  * Convert debian/patches from dpatch to quilt
    - change source format to 3.0 (quilt)

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 18:05:51 +0200

synopsis (0.12-8) unstable; urgency=low

  * Team upload.
  * Run setup.py manually, rather then via dh_auto_*, in order to avoid FTBFS
    in non-minimal chroots (closes: #644059). Thanks to Julien Cristau for the
    bug report.
  * Make build-arch and build-indep targets (not only build) depend on
    patch-stamp.
  * Install libSynopsis.so.0 symlink (closes: #647541).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 27 Nov 2011 12:35:12 +0100

synopsis (0.12-7) unstable; urgency=low

  * Team upload.
  * Fix FTBFS with GCC 4.5 (closes: #565051). Thanks to Matthias Klose for the
    bug report and the patch.
  * Bump standards version to 3.9.2 (no changes needed).
  * Drop preinst script to remove python-central leftovers; not needed
    anymore.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 09 Apr 2011 20:23:03 +0200

synopsis (0.12-6) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/patches/10_bts558996_FTBFS_hppa_invalid_initializer.dpatch
    - Fix a FTBFS on HTTP due to an "invalid initializer"; thanks to dann
      frazier for the report and to Jakub Wilk for the patch; Closes: #558996
  * debian/patches/20_bts576225_FTBFS_sparc_undefined_reference.dpatch
    - Fix a FTBFS on sparc due to "undefined reference"; thanks to Jakub Wilk
      for the report and patch; Closes: #576225
  * debian/rules
    - remove additional files/paths, so the package can be built twice in a row;
      thanks to Jakub Wilk for the report; Closes: #576222

 -- Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>  Thu, 29 Apr 2010 13:41:49 +0200

synopsis (0.12-5) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.8.4. No changes needed.
    - Added libatomic-ops-dev to Build-Depends (Closes: #555539, #558996).
    - Changed Maintainers to PAPT.
    - Changed Uploaders to Carl Chenet. 

 -- Carl Chenet <chaica@ohmytux.com>  Mon, 22 Mar 2010 11:32:23 +0100

synopsis (0.12-4) unstable; urgency=low

  * debian/control
    - Using dh7 (Closes: #547866)
    - Bump Standards-Version to 3.8.3
    - Set Maintainer to Carl Chenet <chaica@ohmytux.com> (Closes: #491017)
    - Add Vcs-Browser and Vcs-Svn fields.
    - Add ${Misc:Depends} because of debhelper.
    - Added Homepage field for the source package.
    - Removed Suggest, Conflict outdated fields.
    - Small typo correction on short description fields.
  * debian/rules
    - Using a tiny.rules and overrides
    - Remove the hardcoded python version.
    - Using private space (/usr/lib/synopsis)
  * *.install
    - renaming paths according to new private space
  * debian/copyright
    - Fixed path to license: LGPL to LGPL-2.1
  * debian/synopsis-idl.copyright
    - - Fixed path to license: GPL to GPL-2
  * debian/synopsis.preinst
    - Use maintainer script to remove pycentral leftovers.
  * Added README.source for dpatch

 -- Carl Chenet <chaica@ohmytux.com>  Sat, 17 Oct 2009 00:58:27 +0200

synopsis (0.12-3) unstable; urgency=low

  * QA upload.
  * Only install libSynopsis.so.0.12 to /usr/lib/ not the symlink to avoid
    conflict with other library versions (Closes: #526837)
  * Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Jul 2009 11:53:28 +0200

synopsis (0.12-2) unstable; urgency=low

  * QA upload.
  * Should have gone to unstable.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 06 May 2009 14:22:41 -0400

synopsis (0.12-1) experimental; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMUs.
  * New upstream release. (Closes: #471379).
    + Use Yann's experimental packaging.
    + Uses proper include for gcc-4.4. (Closes: #505120).
  * Rename libraries to 0.12.
  * Update obsolete xutils build-dep to xutils-dev.
  * Remove unneeded maintainer scripts.
  * Add watch file.
  * Bump compat to 5 to match debhelper.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 29 Apr 2009 21:41:20 -0400

synopsis (0.11~svn1976-0.1) experimental; urgency=low

  * NMU again.
  * New snapshot from upstream tarball:
    * Support for the __asm syntax, finxing ia64 FTBFS.
    * More fixes for partial template specialization.
  * Dropped 02_ignore-cache.dpatch, integrated upstream, and updated
    debian/rules to reflect the upstream namechange to SYNOPSIS_NO_CACHE.
  * Added flex to build deps.
  * Don't remove the shipped doc, and don't attempt to rebuild them for
    now either, since the rebuilt version is not the one installed.

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Apr 2008 01:24:20 +0200

synopsis (0.10-0.4) experimental; urgency=low

  * NMU polish again.
  * Fixed inverted logic in 02_ignore-cache.dpatch (Closes: #476566).
  * Replace patch 01_1960 with 01_r1966 to get latest upstream fixes,
    notably handling of partial specialization of system templates.

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Apr 2008 22:00:25 +0200

synopsis (0.10-0.3) experimental; urgency=low

  * NMU polish.
  * Add a patch to allow using a SYNOPSIS_IGNORE_CACHE envvar to prevent
    the use and write of the cache in ~/.synopsis/, so the build can be
    done on buildd's (Closes: #476566).
  * Rebuild with python 2.5, remove hardcoded references to 2.4 in debian/.
  * Use debian/compat, not DH_COMPAT in debian/rules (lintian).
  * Updated FSF address in copyright files (lintian).


=== debian/control ===
Source: synopsis
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Carl Chenet <chaica@ohmytux.com>
Build-Depends: debhelper (>= 7.0.50~), dh-python, python-dev, python, xutils-dev, libgc-dev, pkg-config, graphviz, bison, flex, libatomic-ops-dev
XS-Python-Version: all
Standards-Version: 3.9.2
Homepage: http://synopsis.fresco.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/synopsis/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/synopsis/trunk/

Package: synopsis
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, cpp, graphviz, gsfonts
Description: source-code Introspection Tool
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and
 composed into processing pipelines, making this framework very
 flexible and extensible. 

Package: synopsis-idl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, synopsis (= ${binary:Version})
Description: IDL parser for synopsis
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and
 composed into processing pipelines, making this framework very
 flexible and extensible. 
 .
 This package contains the IDL parser.

Package: synopsis-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for synopsis
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and 
 composed into processing pipelines, making this framework very
 flexible and extensible. 
 .
 This package contains the Synopsis Developer's Guide and the 
 Synopsis Tutorial.

Package: libsynopsis0.12v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsynopsis0.12
Replaces: libsynopsis0.12
Description: runtime library for Synopsis
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and
 composed into processing pipelines, making this framework very
 flexible and extensible. 
 .
 This package contains the runtime library for Synopsis.

Package: libsynopsis0.12-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsynopsis0.12v5 (= ${binary:Version})
Description: runtime library for Synopsis (development files)
 Synopsis is a multi-language source code introspection tool that
 provides a variety of representations for the parsed code to enable
 further processing such as documentation extraction, reverse
 engineering, and source-to-source translation. 
 .
 Synopsis provides a framework of C++ and Python APIs to access these
 representations and allows Processor objects to be defined and
 composed into processing pipelines, making this framework very
 flexible and extensible. 
 .
 This package contains the development files for the Synopsis runtime
 library.

=== debian/rules ===
#!/usr/bin/make -f

PKG_TMP=$(CURDIR)/debian/tmp

export ROOTSYNOPSIS=$(CURDIR)/debian/synopsis
export ROOTSYNOPSISDOC=$(CURDIR)/debian/synopsis-doc

clean:
	dh clean
	# cancel mor stuff, to build it twice in a row
	find $(CURDIR)/Synopsis -name "*.pyc" -delete
	rm -rf build/

%:
	dh $@ --with python2

override_dh_auto_clean:

override_dh_link:
	dh_link usr/lib/synopsis/synopsis usr/bin/synopsis
	dh_link usr/lib/synopsis/sxr-server usr/bin/sxr-server
	dh_link

override_dh_auto_configure:
	python setup.py config --prefix=/usr --with-gc-prefix=/usr

override_dh_auto_build:
	python setup.py build

override_dh_auto_install:
	python setup.py install\
		--no-compile -O0 --install-layout=deb\
		--install-lib=/usr/lib/synopsis\
		--install-scripts=/usr/lib/synopsis\
		--root=$(PKG_TMP)\
		--prefix=/usr
	mv -f $(PKG_TMP)/usr/share/doc/synopsis-* $(PKG_TMP)/usr/share/doc/synopsis-doc
	rm -f $(PKG_TMP)/usr/share/doc/synopsis-doc/COPYING

override_dh_install:
	mkdir -p debian/tmp/usr/bin
	dh_install --sourcedir=debian/tmp

=== debian/watch ===
version=3
http://synopsis.fresco.org/download/synopsis-([\d.]+)\.tar\.gz
